org.apache.poi.hemf.record.emfplus

## Class HemfPlusMisc.EmfPlusRestore

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusSave
  - - org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusRestore

- All Implemented Interfaces:
    GenericRecord, HemfPlusRecord
  Enclosing class:
    HemfPlusMisc

      public static class HemfPlusMisc.EmfPlusRestore
      extends HemfPlusMisc.EmfPlusSave

  The EmfPlusRestore record restores the graphics state, identified by a specified index, from a stack of saved graphics states.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusRestore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfPlusRecordType` | `getEmfPlusRecordType()`

    - ### Methods inherited from class org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusSave

      `getFlags, getGenericProperties, getStackIndex, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPlusRestore

          public EmfPlusRestore()

  - ### Method Detail

    - #### getEmfPlusRecordType

          public HemfPlusRecordType getEmfPlusRecordType()

      Specified by:
        `getEmfPlusRecordType` in interface `HemfPlusRecord`
      Overrides:
        `getEmfPlusRecordType` in class `HemfPlusMisc.EmfPlusSave`

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfPlusRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfPlusRecord`
      Overrides:
        `draw` in class `HemfPlusMisc.EmfPlusSave`
      Parameters:
        `ctx` - the drawing context

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.